Page MenuHomePhabricator

Request access to deployment cluster for Alaa Sarhan
Closed, ResolvedPublicRequest

Description

I am from Wikidata team and would like to get access to deployment cluster in order to be able to do the following:

  • SWAT deploy

My ldap username: "alaasarhan"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2019, 10:14 AM
alaa_wmde updated the task description. (Show Details)May 18 2019, 10:16 AM
alaa_wmde added a subscriber: Release-Engineering-Team.
JJMC89 changed the subtype of this task from "Task" to "Administrative Request".
JJMC89 removed a subscriber: Release-Engineering-Team.
Volans triaged this task as Normal priority.May 20 2019, 3:27 PM
Volans added subscribers: greg, Volans.

@alaa_wmde this requires explicit approval here on task from your manager at WMDE and from @greg from the Release Engineering team.
It also requires that you read, comprehend and sign the Acknowledgement of Wikimedia Server Access Responsibilities document.

hi! I am @alaa_wmde's manager at WMDE and hereby I approve that Alaa gets the access needed

alaa_wmde added a comment.EditedMay 27 2019, 9:11 AM

Thanks @Volans I've fully and carefully read the Server Access Responsibilities document, and signed it. I believe we are awaiting @greg's approval now.

jbond added a subscriber: jbond.Jun 24 2019, 5:41 PM

@greg are you able to approve this request?

Addshore added a subscriber: Addshore.
greg added a comment.Jul 2 2019, 3:06 PM

@greg are you able to approve this request?

Approved. (sorry for the delay!)

@alaa_wmde : Please generate a separate SSH key for the access to the Wikimedia production cluster (it needs to be separate from your SSH key used for Cloud VPS/Toolforge if you use that). You can find some instructions here: https://wikitech.wikimedia.org/wiki/Production_shell_access#Setting_up_your_access

When done, please send us the public key and we'll enable your access.

thanks @greg, @MoritzMuehlenhoff and @akosiaris (and @Tarrow for the ping)

Here's my public key

1ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQCvOHlh3TmyQS07L9YIM+n34twu2bBVA+/kvD/XA7YU1bnp0MjcHvqa0Fc/ZiLAXByM3wYcukojn80M1+ASxpJ89BmH7t7MpzvYX/qwPSL03WnNeaNaJ6aBhBmI9IwCZaJV9dQItgnD6fEhKJWb6VNRwmwBI8zh+muWLhZjwilKPb50tCumSmsP+iF6Pjz9JzhkHGqVEGM62UugO90aMX+Wrfd39XOgcG+smiOPy0NNw6E3VqcqffWPagdsIbAZPspiuBNmGnHR5LZWWISljrblhiYRZzl27H7n0d+wUvAHrtFxiFDf/AmUn1pRSWTxhyPC6EOS+dVngW0BDG/JN62gD3mL8HPUav7v1wVQWIBCHdZLLlPq/6FdbS8Pu6gsfy6pkpIk/huE1Nfu9B0Zijhu1JVbegkJUN/kKkTG+TvSJpcLkndANIymkX44lOePUxRdHaycDFu9XXFFCNHJaKuPB00tusOmXwKqPX6idSaqsk0tf1+ju5QEzWLK425adhSsX9Y/SWhtBJ3EPa5RGDgD0Zs98evfaiE6bjJZqWrsMARoot8Pl1BovcXCRz6cxoovhplgw7VRM9G9J/WVQa4eHFMQUJN+Qinq1wODQoDEH5cejjF7CViewIDVF+hejEjbBa/iACT6mwoV8+prOOG36eALii9mL49nZVvxTOBs2w== alaasarhan@alsa

Change 523937 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Add user alaasarhan

https://gerrit.wikimedia.org/r/523937

Change 523937 merged by Alexandros Kosiaris:
[operations/puppet@production] Add user alaasarhan

https://gerrit.wikimedia.org/r/523937

akosiaris closed this task as Resolved.Jul 17 2019, 2:50 PM
akosiaris claimed this task.

User has been added to the cluster. Resolving, feel free to reopen